## rep-gtk-0.90.8.1.tar.xz

=== Makefile ===
# Makefile.in -- input for rep-gtk Makefile
# Copyright (C) 1998 John Harper <john@dcs.warwick.ac.uk>
# $Id: Makefile.in,v 1.29 2002/02/13 07:50:27 jsh Exp $

SRCS = rep-gtk.c gtk-support.c gtk-compat.c glib-glue.c gdk-glue.c gtk-glue.c gdk-pixbuf-glue.c rep-types.c
OBJS = $(SRCS:.c=.lo)

OUT = gtk-2/gtk.la
OUT_DESTS = $(foreach x, $(OUT), gui/$(x))

version=0.90.8.1
SHELL=/bin/sh

prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
datarootdir=${prefix}/share

repexecdir=/usr/lib/rep
include $(repexecdir)/rules.mk

CC=ccache gcc-4.7
CPPFLAGS=
CFLAGS=-g -O2 
LDFLAGS=
override CPPFLAGS += -DHAVE_CONFIG_H -I.
override CFLAGS += -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include   -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/ -I/usr/lib/rep/   -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include  
REP_SGTK_LIBS=-lglib-2.0   
REP_GTK_LIBS=-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0   

INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}

DESTDIR=
installdir=$(repexecdir)
includedir=${prefix}/include

top_srcdir=.
top_builddir=.
VPATH=.:.

.PHONY: clean distclean gitclean install

all : build_dirs $(OUT)

gtk-2/gtk.la : $(OBJS)
	$(rep_DL_LD) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(REP_GTK_LIBS)

%-glue.c : %.defs build-gtk.jlc
	LC_ALL=C rep build-gtk.jlc -f build-gtk-batch $< $@

# shut up warnings for generated code
gdk-glue.lo : gdk-glue.c
	$(rep_LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(CFLAGS) -w $<

gdk-pixbuf-glue.lo : gdk-pixbuf-glue.c
	$(rep_LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(CFLAGS) -w $<

glib-glue.lo : glib-glue.c
	$(rep_LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(CFLAGS) -w $<

gtk-glue.lo : gtk-glue.c
	$(rep_LIBTOOL) --mode=compile --tag=CC $(CC) -c $(CPPFLAGS) $(CFLAGS) -w $<

.PRECIOUS:  %-glue.c

build-gtk.jlc : build-gtk.jl
	rep compiler -f compile-batch $<

install : all installdirs
	set -e; for f in $(OUT); do \
	  $(rep_DL_INSTALL) $$f $(DESTDIR)$(installdir)/gui/gtk-2; \
	done
	$(rep_INSTALL_ALIASES) -c . $(DESTDIR)$(installdir)
	install -m644 rep-gtk.h $(DESTDIR)$(includedir)/rep-gtk/
	install -d $(DESTDIR)$(libdir)/pkgconfig/
	install -m644 rep-gtk.pc $(DESTDIR)$(libdir)/pkgconfig/

installdirs : $(top_srcdir)/mkinstalldirs
	$(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(installdir)/gui/gtk-2 \
		$(DESTDIR)$(includedir)/rep-gtk

uninstall :
	$(rep_DL_UNINSTALL) -f $(DESTDIR)$(installdir)/gui/$(OUT)
	rm -f $(DESTDIR)$(libdir)/pkgconfig/rep-gtk.pc
	rm -rf $(DESTDIR)$(includedir)/rep-gtk

clean :
	rm -f *-glue.c *~ core *.jlc *.o *.lo *.la
	rm -rf gtk-2 .libs

distclean : clean
	rm -f Makefile config.cache config.log config.status config.h rep-gtk.pc

debclean : distclean
	rm -f rep-gtk*.ebuild rep-gtk.spec config.h.in libtool ltmain.sh
	rm -f configure aclocal.m4 m4/*

gitclean : distclean
	rm -f aclocal.m4 configure
	rm -rf autom4te.cache m4/
	rm -f rep-gtk.spec rep-gtk*.ebuild
	rm -f libtool ltmain.sh
	-fakeroot debian/rules clean

build_dirs : gtk-2

gtk-2 :
	mkdir gtk-2

# hand-needed dependences
gtk-glue.c : glib.defs gdk.defs gdk-pixbuf.defs gtk.defs gtktext.defs gtktree.defs gtkbuilder.defs gtkuimanager.defs gtkfilechooser.defs build-gtk.jlc

=== debian/changelog ===
rep-gtk (3:0.90.8.1-1nano) unstable; urgency=low

  * New upstream stable release

 -- Christopher Roy Bratusek <nano@tuxfamily.org>  Sun, 10 Jun 2012 09:32:27 +0200

=== debian/control ===
Source: rep-gtk
Section: lisp
Priority: optional
Maintainer: Christopher Roy Bratusek <nano@tuxfamily.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7),
               librep-dev (>> 0.90.5),
               rep (>> 0.90.5),
               libtool,
               autoconf,
               automake1.11,
               autotools-dev,
               libglib2.0-dev (>= 2.12),
               libgtk2.0-dev (>= 2.24.0)
Homepage: http://sawfish.wikia.com/

Package: rep-gtk
Architecture: any
Depends: ${shlibs:Depends}
Suggests: rep (>> 0.90.5)
Description: GTK+ binding for librep
 This package provides an interface to the GTK+ graphical toolkit for
 the librep lisp interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

CFLAGS += -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


%:
	dh $@ --with autotools-dev --with autoreconf

override_dh_auto_clean:
	-$(MAKE) debclean

override_dh_auto_configure:
	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	dh_install

override_dh_installdocs:
	dh_installdocs -A README README.gtk-defs README.guile-gtk

override_dh_installchangelogs:
	dh_installchangelogs -prep-gtk NEWS

override_dh_installexamples:
	dh_installexamples -prep-gtk examples/*
